<!DOCTYPE html>
<html>
<head>		
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta charset="utf-8">
	<link rel="stylesheet" type="text/css" href="./css/style.css">
	<link rel="stylesheet" type="text/css" href="./css/bootstrap-4.6.1.min.css">
	<title>Pokemon Random</title>
</head>
<body>	
	<main class="container" id="card">		
		<div class="row justify-content-center">			
			<div class="col-12">
				<div class="text-center">
					<img src="./img/poke.jpg" width="300"><br>
					<button @click="elegir" class="btn btn-primary">Obtener Pokemon</button>
				</div>				
				<div class="card">
					<div class="mt-2">
						<p>
							<b>Nombre:</b> {{ pokemonDiponibles.name }} <br>
							<b>#ID:</b> {{ idPoke }}
						</p>
					</div>					
					<hr>
					<div class="text-center mb-1 mt-1">
						<img :src="pokemonDiponibles.img" width="200" height="200">
					</div>					
					<p>		
						<b>HP:</b> {{ pokemonDiponibles.hp }} 
						<b>ATK:</b> {{ pokemonDiponibles.atk }} 
						<b>DEF:</b> {{ pokemonDiponibles.def }} 
					</p>
					<hr>
					<p>
						<b>SP ATK:</b> {{ pokemonDiponibles.spAtk }} <br> 
						<b>SP DEF:</b> {{ pokemonDiponibles.spDef }} <br>
						<b>Speed:</b> {{ pokemonDiponibles.speed }} <br>
						<b>EXP:</b> {{ pokemonDiponibles.exp }} <br>			
					</p>
				</div>				
			</div>			
		</div>
	</main>
	<script src="./js/axios.min.js"></script>
	<script src="./js/vue.min.js"></script>
	<script>
		Vue.config.devtools = true;

		const vm = new Vue({
			el: "#card", 
			data: {     
				idPoke: '',
				pokeApi: 'https://pokeapi.co/api/v2/pokemon/',    	
				pokemonDiponibles: [],
			},
			methods: {    	
				elegir() { 
					this.idPoke = Math.floor(Math.random() * 400) + 1;
					axios.get(this.pokeApi + this.idPoke)
					.then(respuesta => this.pokemonDiponibles = {
						name: respuesta.data.name.toUpperCase(),
						img: respuesta.data.sprites.other.dream_world.front_default,
						hp: respuesta.data.stats[0].base_stat,
						atk: respuesta.data.stats[1].base_stat,
						def: respuesta.data.stats[2].base_stat,
						spAtk: respuesta.data.stats[3].base_stat,
						spDef: respuesta.data.stats[4].base_stat,
						speed: respuesta.data.stats[5].base_stat,
						exp: respuesta.data.base_experience,
					})
					//.then(respuesta => console.log(respuesta))
					.catch(error => console.error(error));
				},
			},
		});
	</script>
</body>
</html>
